=== debian/changelog ===
ros-indigo-plotjuggler (2.1.3-0trusty) trusty; urgency=high

  * BUG: fixed issue with Customtracker when the plot is zoomed
  * new icons
  * ULog plugin added
  * Allow to build the DataStreamClientSample on Linux (#143)
  * Update README.md
  * Contributors: Davide Faconti, Romain Reignier

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 17 Feb 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.1.2-0trusty) trusty; urgency=high

  * legend button now has three states: left/right/hide
  * replace tracker text when position is on the right side
  * allow again to use the header.stamp
  * fix problem with legend visibility
  * Save all tab plots as images in a folder. (#137)
  * Make default filename for tab image the tab name (#136)
  * Update README.md
  * adding instructions to build AppImage
  * Contributors: Davide Faconti, d-walsh

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.1.1-0trusty) trusty; urgency=high

  * Added filter to function editor
  * ask for support
  * cleanup
  * fix issue with Datetime and cheatsheet dialog
  * further stylesheet refinements
  * fixing visualization of fucntion editor dialog
  * fixing html of cheatsheet
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.1.0-0trusty) trusty; urgency=high

  * minor change
  * stylesheet fix
  * Cheatsheet added
  * fixing style
  * improved magnifier ( issue #135)
  * added zoom max
  * Contributors: Davide Facont, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.0.7-0trusty) trusty; urgency=high

  * fix for dark layout
  * fix issue with edited function transforms
  * about dialog updated
  * added more key shortcuts
  * reverted behaviour of Dialog "delete previous curves"?
  * fix glitches related to drag and drop
  * update timeSlider more often
  * play seems to work properly for both sim_time and rewritten timestamps
  * play button added
  * clock published
  * remove timestamp modifier
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 05 Feb 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.0.5-0trusty) trusty; urgency=high

  * fix problem in build farm
  * bug fix plot XY
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 04 Feb 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.0.4-0trusty) trusty; urgency=high

  * add parent to message boxes
  * ask confirmation at closeEvent()
  * fix problem with selection of second column
  * fix issue 132
  * simplification
  * minor bug fixed in filter of StatePublisher
  * Contributors: Davide Facont, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 28 Jan 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.0.3-0trusty) trusty; urgency=high

  * adding descard/clamp policy to large arrays
  * fix problem with table view resizing
  * make size of fonts modifiable with CTRL + Wheel (issue #106)
  * Update .travis.yml
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.0.2-0trusty) trusty; urgency=high

  * should solve issue #127 : stop publishers when data reloaded or deleted
  * fixing issues whe disabling an already disabled publisher
  * solved problem with time slider (issue #125)
  * fix issue #126
  * StatePublisher improved
  * Contributors:  Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-indigo-plotjuggler (2.0.1-0trusty) trusty; urgency=high

  * important bug fix. Removed offset in X axis of PlotXY
  * fix minor visualization issue.
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 20 Jan 2019 23:00:00 -0000

ros-indigo-plotjuggler (1.9.0-0trusty) trusty; urgency=high

  * version bump
  * Spurious DragLeave fixed? (The worst and most annoying bug of PlotJuggler)
  * adjust font size in left panel
  * CMAKE_INSTALL_PREFIX flag fix for non-ROS user (#114)
  * adding improvements from @aeudes , issue #119
    1) Improved RemoveCurve dialog (colors and immediate replot)
    2) Fixed QMenu actions zoom horizontally and vertically
    3) Fix issue with panner and added Mouse Middle Button
  * minor changes
  * Merge branch 'master' of https://github.com/facontidavide/PlotJuggler
  * speed up loading rosbags (5%-10%)
  * custom qFileDialog to save the Layout
  * minor changes
  * Contributors: Davide Faconti, Mat&I

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 11 Nov 2018 23:00:00 -0000

ros-indigo-plotjuggler (1.8.4-0trusty) trusty; urgency=high

  * add tooltip
  * fix issue #109
  * CMakeLists.txt add mac homebrew qt5 install directory (#111)
  * Merge pull request #107 from v-lopez/master
  * Fix dragging/deletion of hidden items
  * Contributors: Andrew Hundt, Davide Faconti, Victor Lopez

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 16 Sep 2018 22:00:00 -0000

ros-indigo-plotjuggler (1.8.3-0trusty) trusty; urgency=high

  * bug fix (crash when detaching a _point_marker)
  * more informative error messages
  * cleanups
  * more compact view and larger dummyData
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 23 Aug 2018 22:00:00 -0000

ros-indigo-plotjuggler (1.8.2-0trusty) trusty; urgency=high

  * bug fix (crash from zombie PlotMatrix)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 18 Aug 2018 22:00:00 -0000

ros-indigo-plotjuggler (1.8.1-0trusty) trusty; urgency=high

  * message moved back to the ROS plugin
  * More informative dialog (issue #100)
  * many improvements related to  FilteredTableListWidget, issue #103
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 17 Aug 2018 22:00:00 -0000

ros-indigo-plotjuggler (1.8.0-0trusty) trusty; urgency=high


