=== debian/control ===
Source: ros-indigo-plotjuggler
Section: misc
Priority: extra
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, libqt5svg5-dev, qtbase5-dev, qtdeclarative5-dev, ros-indigo-catkin, ros-indigo-ros-type-introspection, ros-indigo-rosbag, ros-indigo-rosbag-storage, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-rostime, ros-indigo-tf, ros-indigo-topic-tools
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-indigo-plotjuggler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, libqt5svg5-dev, qtbase5-dev, qtdeclarative5-dev, ros-indigo-ros-type-introspection, ros-indigo-rosbag, ros-indigo-rosbag-storage, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-rostime, ros-indigo-tf, ros-indigo-topic-tools
Description: PlotJuggler: juggle with data
